Subject: Re: bug#49439: grafts cause “guix environment” to get killed with OOM

From: Ludovic Courtès <[email-masked]>
Date: Wed, 28 Jul 2021 12:00:39 +0200

Hi,

Sarah Morgensen <[email-masked]> skribis:

> But why was it occurring before? The only I thing I can think of is that
> I didn't have everything in the store first. Is there a way I can prune
> just the relevant items from the store to test this?

You could try something like:

  guix gc -D $(guix gc --references $(guix build pigx-scrnaseq)) \
    $(guix gc --references $(guix build pigx-scrnaseq --no-grafts))

Thinking about it, the grafts code depends on what’s in the store: when
nothing is in the store, it bounces to the “build handler”, which
accumulates the list of missing store items, until it starts building
them.

Let’s see if I can reproduce that behavior, too…

Thanks,
Ludo’.